Installing Wing4 on Fedora 23

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Installing Wing4 on Fedora 23

WingIDE - User mailing list
Hi,

I just tried installing the current version of Wing4 on a Fedora 23 system and I get "...cpio: Disgest mismatch..." during dnf install.
Anyone know how to fix that? The sha1sum from the download page matches the downloaded file. Below is the console output.

Cheers
    Adi

[21:28 adi ~]$ sha1sum data/Downloads/wingide4.1-4.1.14-1.x86_64.rpm && echo 6cf79b7874bdfcdb977236fef65a6c86575e0123
6cf79b7874bdfcdb977236fef65a6c86575e0123  data/Downloads/wingide4.1-4.1.14-1.x86_64.rpm
6cf79b7874bdfcdb977236fef65a6c86575e0123
[21:28 adi ~]$ sudo dnf install data/Downloads/wingide4.1-4.1.14-1.x86_64.rpm
Last metadata expiration check: 1:08:06 ago on Tue Mar 22 20:20:32 2016.
Dependencies resolved.
=================================================================================================================================================
 Package                           Arch                          Version                               Repository                           Size
=================================================================================================================================================
Installing:
 wingide4.1                        x86_64                        144:4.1.14-1                          @commandline                         24 M

Transaction Summary
=================================================================================================================================================
Install  1 Package

Total size: 24 M
Installed size: 62 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : wingide4.1-144:4.1.14-1.x86_64                                                                                               1/1
Error unpacking rpm package wingide4.1-144:4.1.14-1.x86_64
Error unpacking rpm package wingide4.1-144:4.1.14-1.x86_64
error: unpacking of archive failed on file /usr/lib/wingide4.1/resources/builtin-pi-files/2.5/Python-2.5.4-py2.5.pi;56f1aafb: cpio: Digest mismatch
wingide4.1-144:4.1.14-1.x86_64 was supposed to be installed but is not!
  Verifying   : wingide4.1-144:4.1.14-1.x86_64                                                                                               1/1

Failed:
  wingide4.1.x86_64 144:4.1.14-1                                                                                                                

Complete!


--
Adi J. Sieker         mobile: +49 - 178 - 88 5 88 13
Freelance Developer phone: +49 - 7661 - 91 92 8130
Steurentalstr. 2 skype: adijsieker
79252 Stegen         web: http://www.sieker.io/profile

_________________________________________________
Wing IDE users list
http://wingware.com/lists/wingide
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installing Wing4 on Fedora 23

WingIDE - User mailing list
Adi J. Sieker via wingide-users wrote:
> I just tried installing the current version of Wing4 on a Fedora 23
> system and I get "...cpio: Disgest mismatch..." during dnf install.
> Anyone know how to fix that? The sha1sum from the download page
> matches the downloaded file. Below is the console output.

I suspect Wing 4 is too old to run on Fedora 23.  However, you may be
able to work around this by installing from the tar installer and not
the RPM.

--

Stephan Deibel
Wingware | Python IDE

The Intelligent Development Environment for Python Programmers

wingware.com


_________________________________________________
Wing IDE users list
http://wingware.com/lists/wingide
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installing Wing4 on Fedora 23

WingIDE - User mailing list
No, it shows that all dependencies were solved. And a week ago, I was still running Wing on Fedora 23.

It seems to be a corruption problem, see the digest error. I would download it again, or try to install it with rpm -Uvh...

-- phocean

-----Original Message-----
From: Wingware Support via wingide-users <[hidden email]>
To: "Adi J. Sieker" <[hidden email]>
Cc: [hidden email]
Sent: mar., 22 mars 2016 21:42
Subject: Re: [wingide-users] Installing Wing4 on Fedora 23

Adi J. Sieker via wingide-users wrote:
> I just tried installing the current version of Wing4 on a Fedora 23
> system and I get "...cpio: Disgest mismatch..." during dnf install.
> Anyone know how to fix that? The sha1sum from the download page
> matches the downloaded file. Below is the console output.

I suspect Wing 4 is too old to run on Fedora 23.  However, you may be
able to work around this by installing from the tar installer and not
the RPM.

--

Stephan Deibel
Wingware | Python IDE

The Intelligent Development Environment for Python Programmers

wingware.com


_________________________________________________
Wing IDE users list
http://wingware.com/lists/wingide

_________________________________________________
Wing IDE users list
http://wingware.com/lists/wingide
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installing Wing4 on Fedora 23

WingIDE - User mailing list
Hi,

Am 23.03.2016 um 07:15 schrieb [hidden email]:
No, it shows that all dependencies were solved. And a week ago, I was still running Wing on Fedora 23.

It seems to be a corruption problem, see the digest error. I would download it again, or try to install it with rpm -Uvh...
I redownloaded a few times and even compared the sha1sum of the downloaded file against the one published on the download page and they match. I'm happy with the manual install, although I do agree with your line of thinking. There is a pretty explicit cpio digest error message in there. Nothing about broken dependencies.

Cheers
    Adi

-- phocean

-----Original Message-----
From: Wingware Support via wingide-users [hidden email]
To: "Adi J. Sieker" [hidden email]
Cc: [hidden email]
Sent: mar., 22 mars 2016 21:42
Subject: Re: [wingide-users] Installing Wing4 on Fedora 23

Adi J. Sieker via wingide-users wrote:
> I just tried installing the current version of Wing4 on a Fedora 23
> system and I get "...cpio: Disgest mismatch..." during dnf install.
> Anyone know how to fix that? The sha1sum from the download page
> matches the downloaded file. Below is the console output.

I suspect Wing 4 is too old to run on Fedora 23.  However, you may be
able to work around this by installing from the tar installer and not
the RPM.

--

Stephan Deibel
Wingware | Python IDE

The Intelligent Development Environment for Python Programmers

wingware.com


_________________________________________________
Wing IDE users list
http://wingware.com/lists/wingide

--
Adi J. Sieker         mobile: +49 - 178 - 88 5 88 13
Freelance Developer phone: +49 - 7661 - 91 92 8130
Steurentalstr. 2 skype: adijsieker
79252 Stegen         web: http://www.sieker.io/profile

_________________________________________________
Wing IDE users list
http://wingware.com/lists/wingide
Loading...